commit:     5a4c851cefaf1190ce9e0ac2d40866a74e06d070
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  3 07:03:52 2021 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Tue Aug  3 07:04:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a4c851c

dev-util/hip: use SLOT in DEPEND and soname.

The ROCm ecosystem is made of tightly bundled packages with the same
versions.  Use sub-SLOT to express this requirement for better
handling of rebuilds.

Prefixify hipvars.pm.

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 dev-util/hip/hip-4.1.0-r1.ebuild | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/dev-util/hip/hip-4.1.0-r1.ebuild b/dev-util/hip/hip-4.1.0-r1.ebuild
index ff12517ad83..827305877f9 100644
--- a/dev-util/hip/hip-4.1.0-r1.ebuild
+++ b/dev-util/hip/hip-4.1.0-r1.ebuild
@@ -17,8 +17,8 @@ IUSE="debug profile"
 # Don't strip to prevent some tests from failing.
 RESTRICT="strip"
 
-DEPEND=">=dev-libs/rocclr-$(ver_cut 1-2)
-       >=dev-util/rocminfo-$(ver_cut 1-2)
+DEPEND="dev-libs/rocclr:${SLOT}
+       dev-util/rocminfo:${SLOT}
        =sys-devel/llvm-roc-${PV}*[runtime]"
 RDEPEND="${DEPEND}"
 
@@ -35,8 +35,8 @@ src_prepare() {
        cmake_src_prepare
        eapply_user
 
-       # Use Gentoo version number, otherwise git hash is attempted in vain.
-       sed -e "/set (HIP_LIB_VERSION_STRING/cset (HIP_LIB_VERSION_STRING 
${PVR})" -i CMakeLists.txt || die
+       # Use Gentoo slot number, otherwise git hash is attempted in vain.
+       sed -e "/set (HIP_LIB_VERSION_STRING/cset (HIP_LIB_VERSION_STRING 
${SLOT#*/})" -i CMakeLists.txt || die
 
        # disable PCH, because it results in a build error in ROCm 4.0.0
        sed -e "s:option(__HIP_ENABLE_PCH:#option(__HIP_ENABLE_PCH:" -i 
CMakeLists.txt || die
@@ -58,7 +58,7 @@ src_prepare() {
        einfo "prefixing hipcc and its utils..."
        hprefixify $(grep -rl --exclude-dir=build/ "/usr" "${S}")
 
-       cp "${FILESDIR}"/hipvars.pm bin/ || die "failed to replace hipvars.pm"
+       cp "$(prefixify_ro "${FILESDIR}"/hipvars.pm)" bin/ || die "failed to 
replace hipvars.pm"
 }
 
 src_configure() {

Reply via email to